from __future__ import annotations
import ctypes as ctypes
import os as os
import sys as sys
from tensorrt_bindings import common_enter
from tensorrt_bindings import common_exit
from tensorrt_bindings import nptype
import tensorrt_bindings.tensorrt
from tensorrt_bindings import tensorrt
from tensorrt_bindings.tensorrt import APILanguage
from tensorrt_bindings.tensorrt import ActivationType
from tensorrt_bindings.tensorrt import AllocatorFlag
from tensorrt_bindings.tensorrt import BoundingBoxFormat
from tensorrt_bindings.tensorrt import Builder
from tensorrt_bindings.tensorrt import BuilderFlag
from tensorrt_bindings.tensorrt import CalibrationAlgoType
from tensorrt_bindings.tensorrt import CumulativeOperation
from tensorrt_bindings.tensorrt import DataType
from tensorrt_bindings.tensorrt import DeviceType
from tensorrt_bindings.tensorrt import DimensionOperation
from tensorrt_bindings.tensorrt import Dims
from tensorrt_bindings.tensorrt import Dims2
from tensorrt_bindings.tensorrt import Dims3
from tensorrt_bindings.tensorrt import Dims4
from tensorrt_bindings.tensorrt import DimsExprs
from tensorrt_bindings.tensorrt import DimsHW
from tensorrt_bindings.tensorrt import DynamicPluginTensorDesc
from tensorrt_bindings.tensorrt import ElementWiseOperation
from tensorrt_bindings.tensorrt import EngineCapability
from tensorrt_bindings.tensorrt import EngineInspector
from tensorrt_bindings.tensorrt import ErrorCode
from tensorrt_bindings.tensorrt import ErrorCodeTRT
from tensorrt_bindings.tensorrt import ExecutionContextAllocationStrategy
from tensorrt_bindings.tensorrt import FallbackString
from tensorrt_bindings.tensorrt import FillOperation
from tensorrt_bindings.tensorrt import GatherMode
from tensorrt_bindings.tensorrt import HardwareCompatibilityLevel
from tensorrt_bindings.tensorrt import IActivationLayer
from tensorrt_bindings.tensorrt import IAlgorithm
from tensorrt_bindings.tensorrt import IAlgorithmContext
from tensorrt_bindings.tensorrt import IAlgorithmIOInfo
from tensorrt_bindings.tensorrt import IAlgorithmSelector
from tensorrt_bindings.tensorrt import IAlgorithmVariant
from tensorrt_bindings.tensorrt import IAssertionLayer
from tensorrt_bindings.tensorrt import IBuilderConfig
from tensorrt_bindings.tensorrt import ICastLayer
from tensorrt_bindings.tensorrt import IConcatenationLayer
from tensorrt_bindings.tensorrt import IConditionLayer
from tensorrt_bindings.tensorrt import IConstantLayer
from tensorrt_bindings.tensorrt import IConvolutionLayer
from tensorrt_bindings.tensorrt import ICudaEngine
from tensorrt_bindings.tensorrt import ICumulativeLayer
from tensorrt_bindings.tensorrt import IDebugListener
from tensorrt_bindings.tensorrt import IDeconvolutionLayer
from tensorrt_bindings.tensorrt import IDequantizeLayer
from tensorrt_bindings.tensorrt import IDimensionExpr
from tensorrt_bindings.tensorrt import IDynamicQuantizeLayer
from tensorrt_bindings.tensorrt import IEinsumLayer
from tensorrt_bindings.tensorrt import IElementWiseLayer
from tensorrt_bindings.tensorrt import IErrorRecorder
from tensorrt_bindings.tensorrt import IExecutionContext
from tensorrt_bindings.tensorrt import IExprBuilder
from tensorrt_bindings.tensorrt import IFillLayer
from tensorrt_bindings.tensorrt import IGatherLayer
from tensorrt_bindings.tensorrt import IGpuAllocator
from tensorrt_bindings.tensorrt import IGpuAsyncAllocator
from tensorrt_bindings.tensorrt import IGridSampleLayer
from tensorrt_bindings.tensorrt import IHostMemory
from tensorrt_bindings.tensorrt import IIdentityLayer
from tensorrt_bindings.tensorrt import IIfConditional
from tensorrt_bindings.tensorrt import IIfConditionalBoundaryLayer
from tensorrt_bindings.tensorrt import IIfConditionalInputLayer
from tensorrt_bindings.tensorrt import IIfConditionalOutputLayer
from tensorrt_bindings.tensorrt import IInt8Calibrator
from tensorrt_bindings.tensorrt import IInt8EntropyCalibrator
from tensorrt_bindings.tensorrt import IInt8EntropyCalibrator2
from tensorrt_bindings.tensorrt import IInt8LegacyCalibrator
from tensorrt_bindings.tensorrt import IInt8MinMaxCalibrator
from tensorrt_bindings.tensorrt import IIteratorLayer
from tensorrt_bindings.tensorrt import ILRNLayer
from tensorrt_bindings.tensorrt import ILayer
from tensorrt_bindings.tensorrt import ILogger
from tensorrt_bindings.tensorrt import ILoop
from tensorrt_bindings.tensorrt import ILoopBoundaryLayer
from tensorrt_bindings.tensorrt import ILoopOutputLayer
from tensorrt_bindings.tensorrt import IMatrixMultiplyLayer
from tensorrt_bindings.tensorrt import INMSLayer
from tensorrt_bindings.tensorrt import INetworkDefinition
from tensorrt_bindings.tensorrt import INonZeroLayer
from tensorrt_bindings.tensorrt import INormalizationLayer
from tensorrt_bindings.tensorrt import IOneHotLayer
from tensorrt_bindings.tensorrt import IOptimizationProfile
from tensorrt_bindings.tensorrt import IOutputAllocator
from tensorrt_bindings.tensorrt import IPaddingLayer
from tensorrt_bindings.tensorrt import IParametricReLULayer
from tensorrt_bindings.tensorrt import IPluginCapability
from tensorrt_bindings.tensorrt import IPluginCreator
from tensorrt_bindings.tensorrt import IPluginCreatorInterface
from tensorrt_bindings.tensorrt import IPluginCreatorV3One
from tensorrt_bindings.tensorrt import IPluginCreatorV3Quick
from tensorrt_bindings.tensorrt import IPluginRegistry
from tensorrt_bindings.tensorrt import IPluginResource
from tensorrt_bindings.tensorrt import IPluginResourceContext
from tensorrt_bindings.tensorrt import IPluginV2
from tensorrt_bindings.tensorrt import IPluginV2DynamicExt
from tensorrt_bindings.tensorrt import IPluginV2DynamicExtBase
from tensorrt_bindings.tensorrt import IPluginV2Ext
from tensorrt_bindings.tensorrt import IPluginV2Layer
from tensorrt_bindings.tensorrt import IPluginV3
from tensorrt_bindings.tensorrt import IPluginV3Layer
from tensorrt_bindings.tensorrt import IPluginV3OneBuild
from tensorrt_bindings.tensorrt import IPluginV3OneBuildV2
from tensorrt_bindings.tensorrt import IPluginV3OneCore
from tensorrt_bindings.tensorrt import IPluginV3OneRuntime
from tensorrt_bindings.tensorrt import IPluginV3QuickAOTBuild
from tensorrt_bindings.tensorrt import IPluginV3QuickBuild
from tensorrt_bindings.tensorrt import IPluginV3QuickCore
from tensorrt_bindings.tensorrt import IPluginV3QuickRuntime
from tensorrt_bindings.tensorrt import IPoolingLayer
from tensorrt_bindings.tensorrt import IProfiler
from tensorrt_bindings.tensorrt import IProgressMonitor
from tensorrt_bindings.tensorrt import IQuantizeLayer
from tensorrt_bindings.tensorrt import IRaggedSoftMaxLayer
from tensorrt_bindings.tensorrt import IRecurrenceLayer
from tensorrt_bindings.tensorrt import IReduceLayer
from tensorrt_bindings.tensorrt import IResizeLayer
from tensorrt_bindings.tensorrt import IReverseSequenceLayer
from tensorrt_bindings.tensorrt import IScaleLayer
from tensorrt_bindings.tensorrt import IScatterLayer
from tensorrt_bindings.tensorrt import ISelectLayer
from tensorrt_bindings.tensorrt import ISerializationConfig
from tensorrt_bindings.tensorrt import IShapeLayer
from tensorrt_bindings.tensorrt import IShuffleLayer
from tensorrt_bindings.tensorrt import ISliceLayer
from tensorrt_bindings.tensorrt import ISoftMaxLayer
from tensorrt_bindings.tensorrt import ISqueezeLayer
from tensorrt_bindings.tensorrt import IStreamReader
from tensorrt_bindings.tensorrt import IStreamReaderV2
from tensorrt_bindings.tensorrt import ISymExpr
from tensorrt_bindings.tensorrt import ISymExprs
from tensorrt_bindings.tensorrt import ITensor
from tensorrt_bindings.tensorrt import ITimingCache
from tensorrt_bindings.tensorrt import ITopKLayer
from tensorrt_bindings.tensorrt import ITripLimitLayer
from tensorrt_bindings.tensorrt import IUnaryLayer
from tensorrt_bindings.tensorrt import IUnsqueezeLayer
from tensorrt_bindings.tensorrt import IVersionedInterface
from tensorrt_bindings.tensorrt import InterfaceInfo
from tensorrt_bindings.tensorrt import InterpolationMode
from tensorrt_bindings.tensorrt import KernelLaunchParams
from tensorrt_bindings.tensorrt import LayerInformationFormat
from tensorrt_bindings.tensorrt import LayerType
from tensorrt_bindings.tensorrt import Logger
from tensorrt_bindings.tensorrt import LoopOutput
from tensorrt_bindings.tensorrt import MatrixOperation
from tensorrt_bindings.tensorrt import MemoryPoolType
from tensorrt_bindings.tensorrt import NetworkDefinitionCreationFlag
from tensorrt_bindings.tensorrt import NodeIndices
from tensorrt_bindings.tensorrt import OnnxParser
from tensorrt_bindings.tensorrt import OnnxParserFlag
from tensorrt_bindings.tensorrt import OnnxParserRefitter
from tensorrt_bindings.tensorrt import PaddingMode
from tensorrt_bindings.tensorrt import ParserError
from tensorrt_bindings.tensorrt import Permutation
from tensorrt_bindings.tensorrt import PluginArgDataType
from tensorrt_bindings.tensorrt import PluginArgType
from tensorrt_bindings.tensorrt import PluginCapabilityType
from tensorrt_bindings.tensorrt import PluginCreatorVersion
from tensorrt_bindings.tensorrt import PluginField
from tensorrt_bindings.tensorrt import PluginFieldCollection
from tensorrt_bindings.tensorrt import PluginFieldCollection_
from tensorrt_bindings.tensorrt import PluginFieldType
from tensorrt_bindings.tensorrt import PluginTensorDesc
from tensorrt_bindings.tensorrt import PoolingType
from tensorrt_bindings.tensorrt import PreviewFeature
from tensorrt_bindings.tensorrt import Profiler
from tensorrt_bindings.tensorrt import ProfilingVerbosity
from tensorrt_bindings.tensorrt import QuantizationFlag
from tensorrt_bindings.tensorrt import QuickPluginCreationRequest
from tensorrt_bindings.tensorrt import ReduceOperation
from tensorrt_bindings.tensorrt import Refitter
from tensorrt_bindings.tensorrt import ResizeCoordinateTransformation
from tensorrt_bindings.tensorrt import ResizeRoundMode
from tensorrt_bindings.tensorrt import ResizeSelector
from tensorrt_bindings.tensorrt import Runtime
from tensorrt_bindings.tensorrt import RuntimePlatform
from tensorrt_bindings.tensorrt import SampleMode
from tensorrt_bindings.tensorrt import ScaleMode
from tensorrt_bindings.tensorrt import ScatterMode
from tensorrt_bindings.tensorrt import SeekPosition
from tensorrt_bindings.tensorrt import SerializationFlag
from tensorrt_bindings.tensorrt import SubGraphCollection
from tensorrt_bindings.tensorrt import TacticSource
from tensorrt_bindings.tensorrt import TempfileControlFlag
from tensorrt_bindings.tensorrt import TensorFormat
from tensorrt_bindings.tensorrt import TensorIOMode
from tensorrt_bindings.tensorrt import TensorLocation
from tensorrt_bindings.tensorrt import TensorRTPhase
from tensorrt_bindings.tensorrt import TilingOptimizationLevel
from tensorrt_bindings.tensorrt import TimingCacheKey
from tensorrt_bindings.tensorrt import TimingCacheValue
from tensorrt_bindings.tensorrt import TopKOperation
from tensorrt_bindings.tensorrt import TripLimit
from tensorrt_bindings.tensorrt import UnaryOperation
from tensorrt_bindings.tensorrt import Weights
from tensorrt_bindings.tensorrt import WeightsRole
from tensorrt_bindings.tensorrt import get_builder_plugin_registry
from tensorrt_bindings.tensorrt import get_nv_onnx_parser_version
from tensorrt_bindings.tensorrt import get_plugin_registry
from tensorrt_bindings.tensorrt import init_libnvinfer_plugins
from tensorrt_bindings import volume
import tensorrt_libs as tensorrt_libs
import warnings as warnings
__all__ = ['APILanguage', 'ActivationType', 'AllocatorFlag', 'BoundingBoxFormat', 'Builder', 'BuilderFlag', 'CalibrationAlgoType', 'CumulativeOperation', 'DataType', 'DeviceType', 'DimensionOperation', 'Dims', 'Dims2', 'Dims3', 'Dims4', 'DimsExprs', 'DimsHW', 'DynamicPluginTensorDesc', 'ElementWiseOperation', 'EngineCapability', 'EngineInspector', 'ErrorCode', 'ErrorCodeTRT', 'ExecutionContextAllocationStrategy', 'FallbackString', 'FillOperation', 'GatherMode', 'HardwareCompatibilityLevel', 'IActivationLayer', 'IAlgorithm', 'IAlgorithmContext', 'IAlgorithmIOInfo', 'IAlgorithmSelector', 'IAlgorithmVariant', 'IAssertionLayer', 'IBuilderConfig', 'ICastLayer', 'IConcatenationLayer', 'IConditionLayer', 'IConstantLayer', 'IConvolutionLayer', 'ICudaEngine', 'ICumulativeLayer', 'IDebugListener', 'IDeconvolutionLayer', 'IDequantizeLayer', 'IDimensionExpr', 'IDynamicQuantizeLayer', 'IEinsumLayer', 'IElementWiseLayer', 'IErrorRecorder', 'IExecutionContext', 'IExprBuilder', 'IFillLayer', 'IGatherLayer', 'IGpuAllocator', 'IGpuAsyncAllocator', 'IGridSampleLayer', 'IHostMemory', 'IIdentityLayer', 'IIfConditional', 'IIfConditionalBoundaryLayer', 'IIfConditionalInputLayer', 'IIfConditionalOutputLayer', 'IInt8Calibrator', 'IInt8EntropyCalibrator', 'IInt8EntropyCalibrator2', 'IInt8LegacyCalibrator', 'IInt8MinMaxCalibrator', 'IIteratorLayer', 'ILRNLayer', 'ILayer', 'ILogger', 'ILoop', 'ILoopBoundaryLayer', 'ILoopOutputLayer', 'IMatrixMultiplyLayer', 'INMSLayer', 'INetworkDefinition', 'INonZeroLayer', 'INormalizationLayer', 'IOneHotLayer', 'IOptimizationProfile', 'IOutputAllocator', 'IPaddingLayer', 'IParametricReLULayer', 'IPluginCapability', 'IPluginCreator', 'IPluginCreatorInterface', 'IPluginCreatorV3One', 'IPluginCreatorV3Quick', 'IPluginRegistry', 'IPluginResource', 'IPluginResourceContext', 'IPluginV2', 'IPluginV2DynamicExt', 'IPluginV2DynamicExtBase', 'IPluginV2Ext', 'IPluginV2Layer', 'IPluginV3', 'IPluginV3Layer', 'IPluginV3OneBuild', 'IPluginV3OneBuildV2', 'IPluginV3OneCore', 'IPluginV3OneRuntime', 'IPluginV3QuickAOTBuild', 'IPluginV3QuickBuild', 'IPluginV3QuickCore', 'IPluginV3QuickRuntime', 'IPoolingLayer', 'IProfiler', 'IProgressMonitor', 'IQuantizeLayer', 'IRaggedSoftMaxLayer', 'IRecurrenceLayer', 'IReduceLayer', 'IResizeLayer', 'IReverseSequenceLayer', 'IScaleLayer', 'IScatterLayer', 'ISelectLayer', 'ISerializationConfig', 'IShapeLayer', 'IShuffleLayer', 'ISliceLayer', 'ISoftMaxLayer', 'ISqueezeLayer', 'IStreamReader', 'IStreamReaderV2', 'ISymExpr', 'ISymExprs', 'ITensor', 'ITimingCache', 'ITopKLayer', 'ITripLimitLayer', 'IUnaryLayer', 'IUnsqueezeLayer', 'IVersionedInterface', 'InterfaceInfo', 'InterpolationMode', 'KernelLaunchParams', 'LayerInformationFormat', 'LayerType', 'Logger', 'LoopOutput', 'MatrixOperation', 'MemoryPoolType', 'NetworkDefinitionCreationFlag', 'NodeIndices', 'OnnxParser', 'OnnxParserFlag', 'OnnxParserRefitter', 'PaddingMode', 'ParserError', 'Permutation', 'PluginArgDataType', 'PluginArgType', 'PluginCapabilityType', 'PluginCreatorVersion', 'PluginField', 'PluginFieldCollection', 'PluginFieldCollection_', 'PluginFieldType', 'PluginTensorDesc', 'PoolingType', 'PreviewFeature', 'Profiler', 'ProfilingVerbosity', 'QuantizationFlag', 'QuickPluginCreationRequest', 'ReduceOperation', 'Refitter', 'ResizeCoordinateTransformation', 'ResizeRoundMode', 'ResizeSelector', 'Runtime', 'RuntimePlatform', 'SampleMode', 'ScaleMode', 'ScatterMode', 'SeekPosition', 'SerializationFlag', 'SubGraphCollection', 'TacticSource', 'TempfileControlFlag', 'TensorFormat', 'TensorIOMode', 'TensorLocation', 'TensorRTPhase', 'TilingOptimizationLevel', 'TimingCacheKey', 'TimingCacheValue', 'TopKOperation', 'TripLimit', 'UnaryOperation', 'Weights', 'WeightsRole', 'attr', 'bfloat16', 'bool', 'common_enter', 'common_exit', 'ctypes', 'float16', 'float32', 'fp4', 'fp8', 'get_builder_plugin_registry', 'get_nv_onnx_parser_version', 'get_plugin_registry', 'init_libnvinfer_plugins', 'int32', 'int4', 'int64', 'int8', 'nptype', 'os', 'sys', 'tensorrt', 'tensorrt_libs', 'uint8', 'value', 'volume', 'warnings']
__version__: str = '10.9.0.34'
attr: str = 'VERBOSE'
bfloat16: tensorrt_bindings.tensorrt.DataType  # value = <DataType.BF16: 7>
bool: tensorrt_bindings.tensorrt.DataType  # value = <DataType.BOOL: 4>
float16: tensorrt_bindings.tensorrt.DataType  # value = <DataType.HALF: 1>
float32: tensorrt_bindings.tensorrt.DataType  # value = <DataType.FLOAT: 0>
fp4: tensorrt_bindings.tensorrt.DataType  # value = <DataType.FP4: 10>
fp8: tensorrt_bindings.tensorrt.DataType  # value = <DataType.FP8: 6>
int32: tensorrt_bindings.tensorrt.DataType  # value = <DataType.INT32: 3>
int4: tensorrt_bindings.tensorrt.DataType  # value = <DataType.INT4: 9>
int64: tensorrt_bindings.tensorrt.DataType  # value = <DataType.INT64: 8>
int8: tensorrt_bindings.tensorrt.DataType  # value = <DataType.INT8: 2>
uint8: tensorrt_bindings.tensorrt.DataType  # value = <DataType.UINT8: 5>
value: tensorrt_bindings.tensorrt.ILogger.Severity  # value = <Severity.VERBOSE: 4>
